public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mikle Kolyada" <zlogene@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/extlib/
Date: Sun, 29 Dec 2019 11:44:18 +0000 (UTC)	[thread overview]
Message-ID: <1577619853.578b58a9fdf1462165eabdfb8737cd3ff0c5bc13.zlogene@gentoo> (raw)

commit:     578b58a9fdf1462165eabdfb8737cd3ff0c5bc13
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 29 11:42:27 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 11:44:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=578b58a9

dev-ml/extlib: Version bump (v1.7.6)

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 dev-ml/extlib/Manifest            |  1 +
 dev-ml/extlib/extlib-1.7.6.ebuild | 50 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-ml/extlib/Manifest b/dev-ml/extlib/Manifest
index fc8595fba34..2098ac0736a 100644
--- a/dev-ml/extlib/Manifest
+++ b/dev-ml/extlib/Manifest
@@ -1,2 +1,3 @@
 DIST extlib-1.7.1.tar.gz 85397 BLAKE2B f2e924f651cc43ca29914c95400a26bfd062ecb4e7379d169533d394497215906b56e8f57ba29358965f0b8c125c33dcb9a0a95c09488404fd348261d075457f SHA512 42ea1be22a57ab31e5857df0c4c0f98a07e1b5958b34181cd5ab7c83ded112c208315d22cd3dd178d53e75ca109a70cb47ae479e95be8c47ea2087b1a158dc4d
 DIST extlib-1.7.2.tar.gz 85934 BLAKE2B fab7f5f99be414a83f46144bc8f2f54aeb545ef9041b62f227f9dafd267a3f8608b94388ffc39903b069ec7d481b4da8a6a2e9aa289c68263613cf64aa6a45e0 SHA512 d9f34f5bbd5e94a8dccc5bdbc1ec0e5015608675469c4f513461fa587a5eb7e1398542388fd885d7656591ca85ce30c0e2a9ee26b9722a9dd65189aac35d64ed
+DIST extlib-1.7.6.tar.gz 88068 BLAKE2B 32376c09728ec7e7d762888ad706641b94bcc976f2e1f42f246ba79fe862b60df7ff924e1e22e89333d8f2e1d999deb71eee481c3c5919aa5d1e02731f64f323 SHA512 3065e2474fb0e480ed076aa1156584a4a6c839cd5d9e59f341e41113abb1736241354aa7ee7cb492967698bc392969522fd5bf30d1ad7f94754c4e10f376afa8

diff --git a/dev-ml/extlib/extlib-1.7.6.ebuild b/dev-ml/extlib/extlib-1.7.6.ebuild
new file mode 100644
index 00000000000..54e4c815cc3
--- /dev/null
+++ b/dev-ml/extlib/extlib-1.7.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib
+
+DESCRIPTION="Standard library extensions for O'Caml"
+HOMEPAGE="https://github.com/ygrek/ocaml-extlib"
+SRC_URI="https://github.com/ygrek/ocaml-extlib/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc +ocamlopt"
+
+RDEPEND="
+	>=dev-lang/ocaml-3.10.2:=[ocamlopt?]
+"
+DEPEND="${RDEPEND}
+	dev-ml/cppo"
+
+S="${WORKDIR}/ocaml-${P}"
+
+src_compile() {
+	cd src || die
+	emake -j1 all
+	if use ocamlopt; then
+		emake opt cmxs
+	fi
+
+	if use doc; then
+		emake doc
+	fi
+}
+
+src_test() {
+	emake -j1 test
+}
+
+src_install () {
+	findlib_src_install
+
+	# install documentation
+	dodoc README.md
+
+	if use doc; then
+		dodoc -r src/doc/
+	fi
+}


             reply	other threads:[~2019-12-29 11:44 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-29 11:44 Mikle Kolyada [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-16 12:30 [gentoo-commits] repo/gentoo:master commit in: dev-ml/extlib/ Alfredo Tupone
2024-12-29 10:54 Sam James
2024-12-29 10:54 Sam James
2024-11-13 18:53 Alfredo Tupone
2024-10-16  6:39 Alfredo Tupone
2023-03-17  8:52 Arthur Zamarin
2023-03-17  2:29 Sam James
2023-03-17  2:29 Sam James
2023-03-16 23:16 Sam James
2023-03-16 23:16 Sam James
2022-12-16 11:06 Maciej Barć
2021-10-14  9:44 Sam James
2021-09-07  0:09 Sam James
2021-02-16 12:34 Sam James
2021-02-12 22:20 Sam James
2021-02-10 16:33 Sam James
2021-01-24 22:40 Sam James
2020-12-17 14:50 Aaron Bauman
2020-12-17 12:08 Sam James
2020-12-13 12:03 Sergei Trofimovich
2020-12-03  2:01 Thomas Deutschmann
2020-12-02 17:22 Aaron Bauman
2020-10-28  3:36 Sam James
2020-10-24  0:38 Sam James
2020-10-22 13:32 Sam James
2017-04-05 17:50 Markus Meier
2017-04-01 12:24 Alexis Ballier
2017-02-23 14:24 Alexis Ballier
2017-02-23 11:57 Michael Weber
2017-02-23 11:57 Michael Weber
2017-02-16 17:26 Agostino Sarubbo
2017-02-16 13:25 Agostino Sarubbo
2017-01-24 11:07 Alexis Ballier
2016-11-15  9:36 Alexis Ballier
2016-06-29 19:19 Michał Górny
2015-09-19 19:06 Alexis Ballier
2015-09-14 12:26 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1577619853.578b58a9fdf1462165eabdfb8737cd3ff0c5bc13.zlogene@gentoo \
    --to=zlogene@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox